return {
	{
		"junegunn/vim-easy-align",
		lazy = false, -- Load the plugin immediately
		keys = {
			-- Custom keymappings for easy-align
			{ "ga", "<Plug>(EasyAlign)", mode = { "n", "x" }, desc = "Easy Align" }
		},
	},

	{
		'nvim-telescope/telescope.nvim',
		tag = '0.1.8',
		-- or                              , branch = '0.1.x',
		dependencies = { 'nvim-lua/plenary.nvim' }
	},

	{
		"charludo/projectmgr.nvim",
		lazy = false,
	},

	{
		"neovim/nvim-lspconfig",
		config = function()
			require "configs.lspconfig"
		end,
	},

	{
		"stevearc/conform.nvim",
		event = "BufWritePre",
		opts = require "configs.conform",
	},

	-- Supermaven
	{
		"supermaven-inc/supermaven-nvim",
		lazy = false,
		config = function()
			require("supermaven-nvim").setup {
				keymaps = {
					accept_suggestion = "<A-l>",
					clear_suggestion = "<C-]>",
					accept_word = "<C-j>",
				},
				ignore_filetypes = { cpp = true }, -- or { "cpp", }
				color = {
					suggestion_color = "#ffffff",
					cterm = 244,
				},
				log_level = "info",    -- set to "off" to disable logging completely
				disable_inline_completion = false, -- disables inline completion for use with cmp
				disable_keymaps = false, -- disables built in keymaps for more manual control
				condition = function()
					return false
				end, -- condition to check for stopping supermaven, `true` means to stop supermaven when the condition is true.
			}
		end,
	},

	{
		"nvim-treesitter/nvim-treesitter",
		opts = {
			ensure_installed = {
				"vim", "lua", "vimdoc",
				"html", "css"
			},
		},
	},
}
